<?php
/**
 * Build and Hook-In Custom Widget Areas.
 */

/* Name: tagline */

add_action( 'genesis_header_right', 'genesis_extender_tagline_widget_area', 10 );
function genesis_extender_tagline_widget_area() {
	genesis_extender_tagline_widget_area_content();
}

function genesis_extender_tagline_widget_area_content() {
	genesis_widget_area( 'tagline', $args = array (
		'before'              => '<div id="tagline" class="widget-area genesis-extender-widget-area tagline">',
		'after'               => '</div>',
		'before_sidebar_hook' => 'genesis_before_tagline_widget_area',
		'after_sidebar_hook'  => 'genesis_after_tagline_widget_area'
	) );
}

/* Name: Welcome Message */

add_action( 'genesis_before_content', 'genesis_extender_welcome_message_widget_area', 10 );
function genesis_extender_welcome_message_widget_area() {
	genesis_extender_welcome_message_widget_area_content();
}

function genesis_extender_welcome_message_widget_area_content() {
	genesis_widget_area( 'welcome_message', $args = array (
		'before'              => '<div id="welcome_message" class="widget-area genesis-extender-widget-area">',
		'after'               => '</div>',
		'before_sidebar_hook' => 'genesis_before_welcome_message_widget_area',
		'after_sidebar_hook'  => 'genesis_after_welcome_message_widget_area'
	) );
}

/* Name: Deeper Thoughts */

add_action( 'genesis_before_header', 'genesis_extender_deeper_thoughts_widget_area', 10 );
function genesis_extender_deeper_thoughts_widget_area() {
	genesis_extender_deeper_thoughts_widget_area_content();
}

function genesis_extender_deeper_thoughts_widget_area_content() {
	genesis_widget_area( 'deeper_thoughts', $args = array (
		'before'              => '<div id="deeper_thoughts" class="widget-area genesis-extender-widget-area">',
		'after'               => '</div>',
		'before_sidebar_hook' => 'genesis_before_deeper_thoughts_widget_area',
		'after_sidebar_hook'  => 'genesis_after_deeper_thoughts_widget_area'
	) );
}
